## nnstreamer-nnstreamer.zip

=== meson_options.txt ===
# features
option('video-support', type: 'feature', value: 'enabled')
option('audio-support', type: 'feature', value: 'enabled')
option('tf-support', type: 'feature', value: 'auto')
option('tflite-support', type: 'feature', value: 'auto')
option('tflite2-support', type: 'feature', value: 'auto')
option('tflite2-custom-support', type: 'feature', value: 'disabled') # requires tflite2-support. disabled due to incompleteness.
option('pytorch-support', type: 'feature', value: 'auto')
option('caffe2-support', type: 'feature', value: 'auto')
option('deepview-rt-support', type: 'feature', value: 'auto')
option('python3-support', type: 'feature', value: 'auto')
option('mvncsdk2-support', type: 'feature', value: 'auto')
# nnfw-runtime ( details in https://review.tizen.org/gerrit/p/platform/core/ml/nnfw )
option('nnfw-runtime-support', type: 'feature', value: 'auto')
option('armnn-support', type: 'feature', value: 'auto')
option('orcc-support', type: 'feature', value: 'auto')
option('snpe-support', type: 'feature', value: 'auto')
option('qnn-support', type: 'feature', value: 'auto')
option('protobuf-support', type: 'feature', value: 'auto')
option('flatbuf-support', type: 'feature', value: 'auto')
option('tensorrt-support', type: 'feature', value: 'auto')
option('tensorrt10-support', type: 'feature', value: 'auto')
option('grpc-support', type: 'feature', value: 'auto')
option('lua-support', type: 'feature', value: 'auto')
option('mqtt-support', type: 'feature', value: 'auto')
option('tvm-support', type: 'feature', value: 'auto')
option('trix-engine-support', type: 'feature', value: 'auto')
option('nnstreamer-edge-support', type: 'feature', value: 'auto')
option('mxnet-support', type: 'feature', value: 'auto')
option('ncnn-support', type: 'feature', value: 'auto')
option('executorch-support', type: 'feature', value: 'auto')
option('executorch-llama-support', type: 'feature', value: 'auto')
option('parser-support', type: 'feature', value: 'auto') # gstreamer pipeline description <--> pbtxt pipeline
option('datarepo-support', type: 'feature', value: 'auto', description: 'Data repository sink/src for in-pipeline training') # this required json-glib-1.0.
option('ml-agent-support', type: 'feature', value: 'auto')
option('onnxruntime-support', type: 'feature', value: 'auto')
option('dali-support', type: 'feature', value: 'auto')
option('llama2c-support', type: 'feature', value: 'auto')

# booleans & other options
option('enable-test', type: 'boolean', value: true)
option('install-test', type: 'boolean', value: false)
option('enable-pytorch-use-gpu', type: 'boolean', value: false) # default value, can be specified at run time
option('enable-mediapipe', type: 'boolean', value: false)
option('enable-env-var', type: 'boolean', value: true)
option('enable-symbolic-link', type: 'boolean', value: true)
option('enable-tizen', type: 'boolean', value: false)
option('tizen-version-major', type: 'integer', min : 4, max : 9999, value: 9999) # 9999 means "not Tizen"
option('enable-element-restriction', type: 'boolean', value: false) # true to restrict gst-elements in api
option('allowed-elements', type: 'string', value: '')
option('enable-cppfilter', type: 'boolean', value: true) # Allows C++ custom filters
option('enable-filter-cpp-class', type: 'boolean', value: true) # Allows to accept C++ classes as filter subplugin implementation.
option('enable-tizen-sensor', type: 'boolean', value: false)
option('enable-edgetpu', type: 'boolean', value: false)
option('enable-openvino', type: 'boolean', value: false)
option('enable-vivante', type: 'boolean', value: false)
option('framework-priority-tflite', type: 'string', value: 'tensorflow-lite,nnfw,armnn,edgetpu', description: 'A comma separated prioritized list of neural network frameworks to open a .tflite file')
option('framework-priority-nb', type: 'string', value: '', description: 'A comma separated prioritized list of neural network frameworks to open a .nb file')
option('framework-priority-bin', type: 'string', value: '', description: 'A comma separated prioritized list of neural network frameworks to open a .bin file')
option('skip-tflite-flatbuf-check', type: 'boolean', value: false, description: 'Do not check the availability of flatbuf for tensorflow-lite build. In some systems, flatbuffers\' dependency cannot be found with meson.')
option('trix-engine-alias', type: 'string', value: 'srnpu', description: 'The alias name list of trix-engine sub-plugin. This option provides backward compatibility of the previous framework name.')
option('enable-float16', type: 'boolean', value: false, description: 'Support float16 streams with GCC extensions')

# Utilities
option('enable-nnstreamer-check', type: 'boolean', value: true)
option('enable-pbtxt-converter', type: 'boolean', value: true)

# Install Paths
option('subplugindir', type: 'string', value: '')

# Extra configuration
option('extra_config_path', type: 'string', value: '')
