=== debian/changelog ===
nnstreamer (2.4.2.0) unstable bionic focal jammy sid; urgency=medium

  * 2.4.2 Release (LTS for Tizen 9.0 M2 Release)

 -- MyungJoo Ham <myungjoo.ham@samsung.com>  Mon, 02 Sep 2024 11:00:00 +0900

nnstreamer (2.4.1.0) unstable bionic focal jammy sid; urgency=medium

  * 2.4.1 development starts (2.4.2-RC1)

 -- MyungJoo Ham <myungjoo.ham@samsung.com>  Fri, 15 Sep 2023 18:30:00 +0900

nnstreamer (2.4.0.0) unstable xenial bionic focal; urgency=medium

  * 2.4.0 Release (LTS for Tizen 8.0 M2 Release)

 -- MyungJoo Ham <myungjoo.ham@samsung.com>  Thu, 12 Sep 2023 12:50:00 +0900

nnstreamer (2.3.0.0) unstable bionic focal jammy sid; urgency=medium

  * 2.3.0 development starts as 2.4.0-RC1 for experimental and unstable features.

 -- MyungJoo Ham <myungjoo.ham@samsung.com>  Tue, 27 Sep 2022 12:06:42 +0900

nnstreamer (2.2.0.0) unstable xenial bionic focal; urgency=medium

  * 2.2.0 Release (LTS for Tizen 7.0 M2 Release)

 -- MyungJoo Ham <myungjoo.ham@samsung.com>  Thu, 22 Sep 2022 17:13:32 +0900

nnstreamer (2.1.1.0) unstable xenial bionic focal; urgency=medium

  * 2.1.1 development starts for Tizen 7.0 M1 RC releases.

 -- MyungJoo Ham <myungjoo.ham@samsung.com>  Wed, 13 Apr 2022 17:20:28 +0900

nnstreamer (2.1.0.0) unstable xenial bionic focal sid; urgency=medium

  * 2.1.0 development starts (2.2.0.RC1)

 -- MyungJoo Ham <myungjoo.ham@samsung.com>  Tue, 28 Sep 2021 16:50:41 +0900

nnstreamer (2.0.0.0) unstable xenial bionic focal sid; urgency=medium

  * 2.0.0 Release (LTS for Tizen 6.5 M2 release)

 -- MyungJoo Ham <myungjoo.ham@samsung.com>  Tue, 28 Sep 2021 07:50:00 +0900

nnstreamer (1.7.2.1) unstable xeinal bionic focal sid; urgency=medium

  * 1.7.2 development version for Debian releases

 -- MyungJoo Ham <myungjoo.ham@samsung.com>  Wed, 07 Jul 2021 19:56:31 +0900

nnstreamer (1.7.2.0) unstable xenial bionic focal; urgency=medium

  * 1.7.2 development starts (1.8.0.RC3)

 -- MyungJoo Ham <myungjoo.ham@samsung.com>  Thu, 03 Jun 2021 11:05:04 +0900

nnstreamer (1.7.1.0) unstable xenial bionic; urgency=medium

  * 1.7.1 development starts (1.8.0.RC2)

 -- MyungJoo Ham <myungjoo.ham@samsung.com>  Fri, 20 Nov 2020 16:24:49 +0900

nnstreamer (1.7.0.0) unstable xenial bionic; urgency=medium

  * 1.7.0 development starts (1.8.0.RC1)

 -- MyungJoo Ham <myungjoo.ham@samsung.com>  Wed, 09 Sep 2020 20:40:57 +0900

nnstreamer (1.6.0.0) unstable xenial bionic; urgency=medium

  * 1.6.0 Release (LTS for Tizen 6.0 M2 / Android-next products)

 -- MyungJoo Ham <myungjoo.ham@samsung.com>  Wed, 09 Sep 2020 19:09:53 +0900

nnstreamer (1.5.3.0) unstable xenial bionic; urgency=medium

  * 1.5.3 development starts (1.6.0.RC4)

 -- MyungJoo Ham <myungjoo.ham@samsung.com>  Thu, 04 Jun 2020 11:49:21 +0900

nnstreamer (1.5.2.0) unstable xenial bionic; urgency=medium

  * 1.5.2 development starts (1.6.0.RC3)

 -- MyungJoo Ham <myungjoo.ham@samsung.com>  Wed, 08 Apr 2020 12:30:58 +0900

nnstreamer (1.5.1.0) unstable xenial bionic; urgency=medium

  * 1.5.1 development starts (1.6.0 RC2)

 -- MyungJoo Ham <myungjoo.ham@samsung.com>  Wed, 18 Mar 2020 10:07:32 +0900

nnstreamer (1.5.0.0) unstable xenial bionic; urgency=medium

  * 1.5.0 development starts (1.6.0 RC1)

 -- MyungJoo Ham <myungjoo.ham@samsung.com>  Tue, 11 Feb 2020 19:33:55 +0900

nnstreamer (1.4.0.0) unstable xenial bionic; urgency=medium

  * 1.4.0 Release (Tensor-filter API updated)

 -- MyungJoo Ham <myungjoo.ham@samsung.com>  Tue, 11 Feb 2020 19:07:14 +0900

nnstreamer (1.3.1.0) unstable xenial bionic; urgency=medium

  * 1.3.1 development starts

 -- MyungJoo Ham <myungjoo.ham@samsung.com>  Mon, 03 Feb 2020 19:37:14 +0900

nnstreamer (1.3.0.0) unstable xenial bionic; urgency=medium

  * 1.3.0 development starts

 -- MyungJoo Ham <myungjoo.ham@samsung.com>  Wed, 11 Dec 2019 13:14:00 +0900

nnstreamer (1.2.0.0) unstable xenial bionic; urgency=medium

  * 1.2.0 Release

 -- MyungJoo Ham <myungjoo.ham@samsung.com>  Wed, 11 Dec 2019 11:12:00 +0900

nnstreamer (1.0.0.0) unstable xenial bionic; urgency=medium

  * 1.0.0 Release (1.0 RC2 = 1.0 Release). NNStreamer becomes 1.0 with Tizen 5.5 M2 official release.

 -- MyungJoo Ham <myungjoo.ham@samsung.com>  Thu, 26 Sep 2019 15:39:00 +0900

nnstreamer (0.3.0.0) unstable xenial bionic; urgency=medium

  * 0.3.0 Release. 0.2.1 becomes 0.3.0 as a lot of features are included for commercialization.

 -- MyungJoo Ham <myungjoo.ham@samsung.com>  Wed, 14 Aug 2019 13:39:00 +0900

nnstreamer (0.2.1.0) unstable xenial bionic; urgency=medium

  * 0.2.1 RC Development Started

 -- MyungJoo Ham <myungjoo.ham@samsung.com>  Wed, 29 May 2019 14:52:00 -0800

nnstreamer (0.2.0.0) unstable xenial bionic; urgency=medium

  * 0.2.0 Release. 0.1.3 becomes 0.2.0 as Tizen 5.5 M1 releases with nnstreamer.

 -- MyungJoo Ham <myungjoo.ham@samsung.com>  Mon, 27 May 2019 19:08:00 +0900

nnstreamer (0.1.3.0) unstable xenial bionic; urgency=medium

  * 0.1.3 RC Development Started

 -- MyungJoo Ham <myungjoo.ham@samsung.com>  Wed, 20 Mar 2019 15:01:00 +0900

nnstreamer (0.1.2.1) unstable xenial bionic; urgency=medium

  * 0.1.2 Release

 -- MyungJoo Ham <myungjoo.ham@samsung.com>  Wed, 20 Mar 2019 15:00:00 +0900

nnstreamer (0.1.2.0) unstable xenial bionic; urgency=medium

  * 0.1.2 RC Development Started

 -- MyungJoo Ham <myungjoo.ham@samsung.com>  Tue, 26 Feb 2019 20:00:00 +0900

nnstreamer (0.1.1.1) unstable xenial bionic; urgency=medium

  * 0.1.1 Release

 -- MyungJoo Ham <myungjoo.ham@samsung.com>  Mon, 25 Feb 2019 12:00:00 +0900

nnstreamer (0.1.1.0) unstable xenial bionic; urgency=medium

  * 0.1.1 RC Development Started

 -- MyungJoo Ham <myungjoo.ham@samsung.com>  Thu, 24 Jan 2019 15:33:33 +0900

nnstreamer (0.1.0-2) unstable xenial bionic; urgency=medium

  * 0.1.0 release

 -- MyungJoo Ham <myungjoo.ham@samsung.com>  Thu, 24 Jan 2019 15:33:33 +0900

nnstreamer (0.1.0-1rc1) unstable; urgency=medium

  * Start of 0.1.0 development

 -- MyungJoo Ham <myungjoo.ham@samsung.com>  Mon, 03 Dec 2018 15:32:01 +0900


