=== debian/control ===
Source: nnstreamer
Section: libs
Priority: optional
Maintainer: MyungJoo Ham <myungjoo.ham@samsung.com>
Build-Depends: gcc-9 | gcc-8 | gcc-7 | gcc-6 | gcc-5 (>=5.4),
 ninja-build, meson (>=0.49), debhelper (>=9), nnstreamer-edge-dev,
 libgstreamer1.0-dev, libgstreamer-plugins-base1.0-dev, libglib2.0-dev, libjson-glib-dev,
 gstreamer1.0-tools, gstreamer1.0-plugins-base, gstreamer1.0-plugins-good,
 libgtest-dev, ssat, libpng-dev, libopencv-dev, liborc-0.4-dev, flex, bison,
 python3, python3-dev, python3-numpy, pkg-config,
 libflatbuffers-dev, flatbuffers-compiler,
 protobuf-compiler (>=3.12), libprotobuf-dev [amd64 arm64 armhf],
 libpaho-mqtt-dev,
 tensorflow2-lite-dev,
 pytorch | libtorch-dev | gcc,
 libedgetpu1-std (>=12), libedgetpu-dev (>=12),
 openvino-dev, openvino-cpu-mkldnn [amd64],
 nnfw-dev [amd64] | gcc,
 tvm-runtime-dev, onnxruntime-dev
Standards-Version: 3.9.6
Homepage: https://github.com/nnstreamer/nnstreamer

## @todo pytorch ppa build fails in Ubuntu 24.04. revive it when pytorch gets proper ppa support.

Package: nnstreamer
Architecture: any
Multi-Arch: same
Depends: nnstreamer-core, nnstreamer-configuration, nnstreamer-single, ${shlibs:Depends}, ${misc:Depends}
Description: NNStreamer plugins for Gstreamer
 Gstreamer plugins, "NNStreamer", provides access to neural network frameworks for media streams.
 This package is meta package of nnstreamer-core and nnstreamer-configuration.

Package: nnstreamer-core
Architecture: any
Multi-Arch: same
Depends: nnstreamer-edge, ${shlibs:Depends}, ${misc:Depends}
Description: NNStreamer plugins for Gstreamer
 Gstreamer plugins, "NNStreamer", provides access to neural network frameworks for media streams.
 This package is core package without configuration.

Package: nnstreamer-configuration
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: NNStreamer plugins for Gstreamer
 Gstreamer plugins, "NNStreamer", provides access to neural network frameworks for media streams.
 This package contains nnstreamer configuration.

Package: nnstreamer-single
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: NNStreamer Single-shot
 Element to use general neural network framework directly without gstreamer pipeline.

Package: nnstreamer-tensorflow2-lite
Architecture: any
Multi-Arch: same
Depends: nnstreamer-single, ${shlibs:Depends}, ${misc:Depends}
Description: NNStreamer TensorFlow Lite 2.x Support
 This package allows nnstreamer to support tensorflow-lite 2.x.

Package: nnstreamer-pytorch
Architecture: any
Multi-Arch: same
Depends: nnstreamer-single, pytorch, ${shlibs:Depends}, ${misc:Depends}
Description: NNStreamer Pytorch Support
 This package allows nnstreamer to support pytorch.

Package: nnstreamer-caffe2
Architecture: any
Multi-Arch: same
Depends: nnstreamer-single, pytorch, ${shlibs:Depends}, ${misc:Depends}
Description: NNStreamer Caffe2 Support
 This package allows nnstreamer to support caffe2.

Package: nnstreamer-python3
Architecture: any
Multi-Arch: same
Depends: nnstreamer, python3, python3-numpy, ${shlibs:Depends}, ${misc:Depends}
Description: NNStreamer Python Custom Filter Support (3.x)
 This Package allows nnstreamer to support python custom filters

Package: nnstreamer-edgetpu
Architecture: any
Multi-Arch: same
Depends: nnstreamer-single, libedgetpu1-std, ${shlibs:Depends}, ${misc:Depends}
Description: NNStreamer Edge TPU support
 This package allows nnstreamer to support Edge TPU.

Package: nnstreamer-openvino
Architecture: any
Multi-Arch: same
Depends: nnstreamer-single, openvino, ${shlibs:Depends}, ${misc:Depends}
Description: NNStreamer OpenVino support
 This package allows nnstreamer to support OpenVino.

Package: nnstreamer-nnfw
Architecture: amd64
Multi-Arch: same
Depends: nnstreamer-single, nnfw, ${shlibs:Depends}, ${misc:Depends}
Description: NNStreamer NNFW (ONE) support
 This package allows nnstreamer to support NNFW (ONE, On-Device Neural Engine).

Package: nnstreamer-tvm
Architecture: any
Multi-Arch: same
Depends: nnstreamer, tvm-runtime, ${shlibs:Depends}, ${misc:Depends}
Description: NNStreamer TVM support
 This package allows nnstreamer to support TVM

Package: nnstreamer-onnxruntime
Architecture: any
Multi-Arch: same
Depends: nnstreamer, onnxruntime, ${shlibs:Depends}, ${misc:Depends}
Description: NNStreamer onnxruntime support
 This package allows nnstreamer to support onnxruntime

Package: nnstreamer-protobuf
Architecture: any
Multi-Arch: same
Depends: nnstreamer, ${shlibs:Depends}, ${misc:Depends}
Description: NNStreamer Protobuf converter/decoder support
 This package allows to pack/unpack tensor streams to/from protobuf.

Package: nnstreamer-flatbuf
Architecture: any
Multi-Arch: same
Depends: nnstreamer, ${shlibs:Depends}, ${misc:Depends}
Description: NNStreamer Flatbuf converter/decoder support
 This package allows to pack/unpack tensor streams to/from flatbuf.

Package: nnstreamer-dev
Architecture: any
Multi-Arch: same
Depends: nnstreamer, nnstreamer-single-dev, ${shlibs:Depends}, ${misc:Depends}
Description: NNStreamer development package
 Gstreamer plugins, "NNStreamer", provides access to neural network frameworks for media streams.
 This is development package for nnstreamer.

Package: nnstreamer-dev-internal
Architecture: any
Multi-Arch: same
Depends: nnstreamer-dev, nnstreamer-single-dev-internal, ${shlibs:Depends}, ${misc:Depends}
Description: Development package to access internal functions of NNStreamer.
 This may be used by API packages.
 In most cases, custom-filter or subplugin authors do not need this internal devel package; however, if they want to access more internal functions, they may need this.

Package: nnstreamer-single-dev
Architecture: any
Multi-Arch: same
Depends: nnstreamer-single, ${shlibs:Depends}, ${misc:Depends}
Description: NNStreamer single-shot development package
 Element to use general neural network framework directly without gstreamer pipeline.

Package: nnstreamer-single-dev-internal
Architecture: any
Multi-Arch: same
Depends: nnstreamer-single-dev, ${shlibs:Depends}, ${misc:Depends}
Description: Development package to access internal functions of NNStreamer single-shot.
 This may be used by API packages.
 In most cases, custom-filter or subplugin authors do not need this internal devel package; however, if they want to access more internal functions, they may need this.

Package: nnstreamer-test-dev
Architecture: any
Multi-Arch: same
Depends: nnstreamer-dev, ${shlibs:Depends}, ${misc:Depends}
Description: Development package to provide testable environment of a subplugin (tensor_filter/custom).
 This package enables testable environment of NNStreamer sub-plugin by making nnstreamer to recognize NNSTREAMER_CONF_PATH to steer a sub-plugin path to a custom path.
 Also This package provides test templates to be used with.

Package: nnstreamer-util
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: NNStreamer utility
 Gstreamer plugins, "NNStreamer", provides access to neural network frameworks for media streams.
 This is a configuration checker utility for nnstreamer.

Package: nnstreamer-misc
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: NNStreamer extra package
 Provides additional gstreamer plugins for nnstreamer pipelines

Package: nnstreamer-datarepo
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: NNStreamer MLOps Data Repository plugin packages
 NNStreamer's datareposrc/sink plugins for reading and writing files in MLOps Data Repository
